TransferRequestChecker (The Data Transfer Agent Service 2.1.0-3.3.0 API)
Date: 2014-07-19

org.gcube.datatransfer.agent.impl.event

## Class TransferRequestChecker

- java.lang.Object
- - org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage>
  - - org.gcube.datatransfer.agent.impl.event.TransferRequestChecker

-     public class TransferRequestChecker
      extends org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage>

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.gcube.common.core.utils.logging.GCUBELog` | `logger`

    - ### Fields inherited from class org.gcube.datatransfer.common.messaging.MessageChecker

      `scope, subscriberEndpoint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferRequestChecker(org.gcube.common.core.scope.GCUBEScope scope, String subscriberEndpoint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)`
    `void` | `handleMessage(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public org.gcube.common.core.utils.logging.GCUBELog logger

  - ### Constructor Detail

    - #### TransferRequestChecker

          public TransferRequestChecker(org.gcube.common.core.scope.GCUBEScope scope,
                                String subscriberEndpoint)

  - ### Method Detail

    - #### check

          public void check(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)

      Specified by:
        `check` in class `org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage>`

    - #### handleMessage

          public void handleMessage(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)

Copyright © 2014. All Rights Reserved.